> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /behance/assets/search

> Search Behance downloadable creative assets

**Price:** 5 credits per 48 results



## OpenAPI

````yaml /openapi/social-media.json post /api/behance/assets/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/behance/assets/search:
    post:
      tags:
        - /behance
      summary: /behance/assets/search
      description: |-
        Search Behance downloadable creative assets

        **Price:** 5 credits per 48 results
      operationId: __api_behance_assets_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BehanceAssetsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BehanceAsset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BehanceAssetsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        price:
          $ref: '#/components/schemas/BehanceAssetPrice'
          default: All
        category:
          $ref: '#/components/schemas/BehanceAssetCategory'
          default: All
        file_extensions:
          anyOf:
            - items:
                $ref: '#/components/schemas/BehanceFileExtension'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/BehanceProjectSort'
          default: Recommended
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    BehanceAsset:
      properties:
        '@type':
          type: string
          default: BehanceAsset
        project_id:
          type: integer
        project_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        appreciation_count:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        owners:
          items:
            $ref: '#/components/schemas/BehanceUserBrief'
          type: array
          default: []
        source_files:
          items:
            $ref: '#/components/schemas/BehanceSourceFile'
          type: array
          default: []
      type: object
      required:
        - project_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BehanceAssetPrice:
      type: string
      enum:
        - All
        - Free
        - Paid
        - Subscription
    BehanceAssetCategory:
      type: string
      enum:
        - All
        - Templates
        - Fonts
        - Illustrations
        - Vectors
        - Photos
    BehanceFileExtension:
      type: string
      enum:
        - abr
        - ai
        - ase
        - asl
        - avi
        - dng
        - doc
        - docx
        - eps
        - gif
        - heic
        - indd
        - jpeg
        - jpg
        - mov
        - mp3
        - mp4
        - otf
        - pat
        - pdf
        - png
        - ppt
        - pptx
        - psd
        - raw
        - svg
        - tif
        - tiff
        - ttf
        - txt
        - wav
        - webp
        - woff
        - woff2
        - xls
        - xlsx
        - xmp
        - zip
    BehanceProjectSort:
      type: string
      enum:
        - Recommended
        - Curated
        - Most Appreciated
        - Most Viewed
        - Most Discussed
        - Most Recent
    BehanceUserBrief:
      properties:
        '@type':
          type: string
          default: BehanceUserBrief
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_creator_pro:
          type: boolean
          default: false
        is_featured_freelancer:
          type: boolean
          default: false
        is_available_freelance:
          type: boolean
          default: false
        is_available_full_time:
          type: boolean
          default: false
        is_verified_on_linkedin:
          type: boolean
          default: false
        location:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - type: string
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        appreciation_count:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    BehanceSourceFile:
      properties:
        '@type':
          type: string
          default: BehanceSourceFile
        id:
          type: integer
        file_title:
          anyOf:
            - type: string
            - type: 'null'
        extension:
          anyOf:
            - type: string
            - type: 'null'
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        license_type:
          anyOf:
            - type: string
            - type: 'null'
        tier:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````